if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi
if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi

( cd usr/lib64 ; rm -rf libmutter-16.so )
( cd usr/lib64 ; ln -sf libmutter-16.so.0 libmutter-16.so )
( cd usr/lib64 ; rm -rf libmutter-16.so.0 )
( cd usr/lib64 ; ln -sf libmutter-16.so.0.0.0 libmutter-16.so.0 )
( cd usr/lib64/mutter-16 ; rm -rf libmutter-clutter-16.so )
( cd usr/lib64/mutter-16 ; ln -sf libmutter-clutter-16.so.0 libmutter-clutter-16.so )
( cd usr/lib64/mutter-16 ; rm -rf libmutter-clutter-16.so.0 )
( cd usr/lib64/mutter-16 ; ln -sf libmutter-clutter-16.so.0.0.0 libmutter-clutter-16.so.0 )
( cd usr/lib64/mutter-16 ; rm -rf libmutter-cogl-16.so )
( cd usr/lib64/mutter-16 ; ln -sf libmutter-cogl-16.so.0 libmutter-cogl-16.so )
( cd usr/lib64/mutter-16 ; rm -rf libmutter-cogl-16.so.0 )
( cd usr/lib64/mutter-16 ; ln -sf libmutter-cogl-16.so.0.0.0 libmutter-cogl-16.so.0 )
( cd usr/lib64/mutter-16 ; rm -rf libmutter-mtk-16.so )
( cd usr/lib64/mutter-16 ; ln -sf libmutter-mtk-16.so.0 libmutter-mtk-16.so )
( cd usr/lib64/mutter-16 ; rm -rf libmutter-mtk-16.so.0 )
( cd usr/lib64/mutter-16 ; ln -sf libmutter-mtk-16.so.0.0.0 libmutter-mtk-16.so.0 )
